# HG changeset patch
# Node ID c3ada12d1ec2e1fedd349dc7fef058922c825771
# Parent  41ad34b9de13e88cac215342f2b6199fe15ab14d
diff --git a/libpurple/purplenoopcredentialprovider.h b/libpurple/purplenoopcredentialprovider.h
--- a/libpurple/purplenoopcredentialprovider.h
+++ b/libpurple/purplenoopcredentialprovider.h
@@ -59,7 +59,8 @@ G_DECLARE_FINAL_TYPE(PurpleNoopCredentia
  * not need to call this directly as #PurpleCredentialManager will create one
  * for itself.
  *
- * Returns: (transfer full): The new #PurpleNoopCredentialProvider instance.
+ * Returns: (transfer full) (type PurpleNoopCredentialProvider): The new
+ *          credential provider.
  *
  * Since: 3.0
  */
diff --git a/libpurple/purplenotificationaddcontact.h b/libpurple/purplenotificationaddcontact.h
--- a/libpurple/purplenotificationaddcontact.h
+++ b/libpurple/purplenotificationaddcontact.h
@@ -62,7 +62,8 @@ G_DECLARE_FINAL_TYPE(PurpleNotificationA
  * Since @request has a [class@Contact] which has a [class@Account],
  * [property@Notification:account] will automatically be set to that.
  *
- * Returns: The new notification.
+ * Returns: (transfer full) (type PurpleNotificationAddContact): The new
+ *          notification.
  *
  * Since: 3.0
  */
diff --git a/libpurple/purplenotificationauthorizationrequest.h b/libpurple/purplenotificationauthorizationrequest.h
--- a/libpurple/purplenotificationauthorizationrequest.h
+++ b/libpurple/purplenotificationauthorizationrequest.h
@@ -62,7 +62,8 @@ G_DECLARE_FINAL_TYPE(PurpleNotificationA
  * Since [class@AuthorizationRequest] has a [class@Account],
  * [property@Notification:account] will automatically be set to that.
  *
- * Returns: The new notification.
+ * Returns: (transfer full) (type PurpleNotificationAuthorizationRequest): The
+ *          new notification.
  *
  * Since: 3.0
  */
diff --git a/libpurple/purplenotificationconnectionerror.h b/libpurple/purplenotificationconnectionerror.h
--- a/libpurple/purplenotificationconnectionerror.h
+++ b/libpurple/purplenotificationconnectionerror.h
@@ -59,7 +59,8 @@ G_DECLARE_FINAL_TYPE(PurpleNotificationC
  *
  * Creates a new [class@Notification] for a connection error on @account.
  *
- * Returns: (nullable): The new notification.
+ * Returns: (transfer full) (type PurpleNotificationConnectionError): The new
+ *          notification.
  *
  * Since: 3.0
  */
diff --git a/libpurple/purplenotificationlink.h b/libpurple/purplenotificationlink.h
--- a/libpurple/purplenotificationlink.h
+++ b/libpurple/purplenotificationlink.h
@@ -58,7 +58,7 @@ G_DECLARE_FINAL_TYPE(PurpleNotificationL
  *
  * Creates a new [class@Notification] with a link to @link_uri.
  *
- * Returns: The new notification.
+ * Returns: (transfer full) (type PurpleNotificationLink): The new notification.
  *
  * Since: 3.0
  */
diff --git a/libpurple/purpleplugininfo.h b/libpurple/purpleplugininfo.h
--- a/libpurple/purpleplugininfo.h
+++ b/libpurple/purpleplugininfo.h
@@ -204,7 +204,7 @@ G_BEGIN_DECLS
  * See #PURPLE_PLUGIN_ABI_VERSION,
  *     <link linkend="chapter-plugin-ids">Plugin IDs</link>.
  *
- * Returns: A new #PurplePluginInfo instance.
+ * Returns: (transfer full) (type PurplePluginInfo): The new plugin info.
  *
  * Since: 3.0
  */
diff --git a/libpurple/purplesqlitehistoryadapter.h b/libpurple/purplesqlitehistoryadapter.h
--- a/libpurple/purplesqlitehistoryadapter.h
+++ b/libpurple/purplesqlitehistoryadapter.h
@@ -57,7 +57,8 @@ G_DECLARE_FINAL_TYPE(PurpleSqliteHistory
  *
  * Creates a new #PurpleHistoryAdapter.
  *
- * Returns: (transfer full): The new #PurpleSqliteHistoryAdapter instance.
+ * Returns: (transfer full) (type PurpleSqliteHistoryAdapter): The new history
+ *          adapter.
  *
  * Since: 3.0
  */
diff --git a/libpurple/request/purplerequestfieldaccount.h b/libpurple/request/purplerequestfieldaccount.h
--- a/libpurple/request/purplerequestfieldaccount.h
+++ b/libpurple/request/purplerequestfieldaccount.h
@@ -76,7 +76,7 @@ G_DECLARE_FINAL_TYPE(PurpleRequestFieldA
  *
  * By default, this field will not show offline accounts.
  *
- * Returns: (transfer full): The new field.
+ * Returns: (transfer full) (type PurpleRequestFieldAccount): The new field.
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleRequestField *purple_request_field_account_new(const char *id, const char *text, PurpleAccount *account);
diff --git a/libpurple/request/purplerequestfieldbool.h b/libpurple/request/purplerequestfieldbool.h
--- a/libpurple/request/purplerequestfieldbool.h
+++ b/libpurple/request/purplerequestfieldbool.h
@@ -58,7 +58,7 @@ G_DECLARE_FINAL_TYPE(PurpleRequestFieldB
  *
  * This is often represented as a checkbox.
  *
- * Returns: (transfer full): The new field.
+ * Returns: (transfer full) (type PurpleRequestFieldBool): The new field.
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleRequestField *purple_request_field_bool_new(const char *id, const char *text, gboolean default_value);
diff --git a/libpurple/request/purplerequestfieldchoice.h b/libpurple/request/purplerequestfieldchoice.h
--- a/libpurple/request/purplerequestfieldchoice.h
+++ b/libpurple/request/purplerequestfieldchoice.h
@@ -58,7 +58,7 @@ G_DECLARE_FINAL_TYPE(PurpleRequestFieldC
  *
  * This is often represented as a group of radio buttons.
  *
- * Returns: (transfer full): The new field.
+ * Returns: (transfer full) (type PurpleRequestFieldChoice): The new field.
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleRequestField *purple_request_field_choice_new(const char *id, const char *text, gpointer default_value);
diff --git a/libpurple/request/purplerequestfieldimage.h b/libpurple/request/purplerequestfieldimage.h
--- a/libpurple/request/purplerequestfieldimage.h
+++ b/libpurple/request/purplerequestfieldimage.h
@@ -60,7 +60,7 @@ G_DECLARE_FINAL_TYPE(PurpleRequestFieldI
  *
  * Creates an image field.
  *
- * Returns: (transfer full): The new field.
+ * Returns: (transfer full) (type PurpleRequestFieldImage): The new field.
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleRequestField *purple_request_field_image_new(const char *id, const char *text, const char *buf, gsize size);
diff --git a/libpurple/request/purplerequestfieldint.h b/libpurple/request/purplerequestfieldint.h
--- a/libpurple/request/purplerequestfieldint.h
+++ b/libpurple/request/purplerequestfieldint.h
@@ -58,7 +58,7 @@ G_DECLARE_FINAL_TYPE(PurpleRequestFieldI
  *
  * Creates an integer field.
  *
- * Returns: (transfer full): The new field.
+ * Returns: (transfer full) (type PurpleRequestFieldInt): The new field.
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleRequestField *purple_request_field_int_new(const char *id, const char *text, int default_value, int lower_bound, int upper_bound);
diff --git a/libpurple/request/purplerequestfieldlabel.h b/libpurple/request/purplerequestfieldlabel.h
--- a/libpurple/request/purplerequestfieldlabel.h
+++ b/libpurple/request/purplerequestfieldlabel.h
@@ -55,7 +55,7 @@ G_DECLARE_FINAL_TYPE(PurpleRequestFieldL
  *
  * Creates a label field.
  *
- * Returns: (transfer full): The new field.
+ * Returns: (transfer full) (type PurpleRequestFieldLabel): The new field.
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleRequestField *purple_request_field_label_new(const char *id, const char *text);
diff --git a/libpurple/request/purplerequestfieldlist.h b/libpurple/request/purplerequestfieldlist.h
--- a/libpurple/request/purplerequestfieldlist.h
+++ b/libpurple/request/purplerequestfieldlist.h
@@ -55,7 +55,7 @@ G_DECLARE_FINAL_TYPE(PurpleRequestFieldL
  *
  * Creates a multiple list item field.
  *
- * Returns: (transfer full): The new field.
+ * Returns: (transfer full) (type PurpleRequestFieldList): The new field.
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleRequestField *purple_request_field_list_new(const char *id, const char *text);
diff --git a/libpurple/request/purplerequestfieldstring.h b/libpurple/request/purplerequestfieldstring.h
--- a/libpurple/request/purplerequestfieldstring.h
+++ b/libpurple/request/purplerequestfieldstring.h
@@ -57,7 +57,7 @@ G_DECLARE_FINAL_TYPE(PurpleRequestFieldS
  *
  * Creates a string request field.
  *
- * Returns: (transfer full): The new field.
+ * Returns: (transfer full) (type PurpleRequestFieldString): The new field.
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleRequestField *purple_request_field_string_new(const char *id, const char *text, const char *default_value, gboolean multiline);
